<!doctype html>
<html>
<head>
  <meta http-equiv="content-type" content="text/html;charset=UTF-8"/>
  <title>document.domain + iframe跨域</title>
  <meta name="Keywords" content="关键词"/>
  <meta name="Description" content="描述"/>
  <link rel="stylesheet" type="text/css" href=" "/>
  <style type="text/css">
  
  </style>
  
</head>
<body>
  <iframe id="iframe" src="http://child.domain.com/b.html"></iframe>
 <!--  1、父窗口：http://www.domain.com/a.html
  2、子窗口：http://child.domain.com/b.html -->

  <script>
    document.domain = 'domain.com';
    var user = 'admin';
  </script>
  <script>
     document.domain = 'domain.com';
     // 获取父窗口中变量
     alert('<---get js data from parent ---> ' + window.parent.user);
  </script>



 </body>
</html>